Skip to content

Creates a new add on record that does not already exist.

Request

This method will auto-generate an ID and create a new add on. If an ID is specified for the add on, an error will be thrown.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Bodyapplication/jsonrequired

The add on that you would like to be saved.

allow_multipleboolean(Allow Multiple)

If true, a member can purchase more than one of this add on

custom_field_valuesArray of objects(Custom Field Values)
display_ordernumber, (float)(Display Order)

The display order of the add on

eligibility_criteriaobject(Eligibility Criteria)required

The criteria to use

enable_duesboolean(Enable Dues)

If set, this add on should cost money

enable_eligibilityboolean(Enable Eligibility)

If set, then only certain individual are eligible for this add on

hide_from_portalboolean(Hide From Portal)

Hide this add on from the portal

idstring(ID)^[\w|-]+$required

The unique, string identifier of this add on

is_activeboolean(Is Active)

Whether or not this add on is active

namestring(Name)required

The name of the add on

portal_descriptionstring(Portal Description)

Description of the add on to be displayed in the portal

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

type_idstring(Type)

The type of add on

curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/addOns/{tenantId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "allow_multiple": true,
    "custom_field_values": [
      {
        "boolean_value": true,
        "custom_field_id": "string",
        "file_url_value": "string",
        "list_value": [
          "string"
        ],
        "numeric_value": 0.1,
        "string_value": "string",
        "table_value": [
          {}
        ]
      }
    ],
    "display_order": 0.1,
    "eligibility_criteria": {
      "advanced_rule_error_message": "string",
      "advanced_rules": {},
      "age_restrictions": {
        "maximum_age": 0.1,
        "minimum_age": 0.1
      },
      "award_options": {
        "award_ids": [
          "string"
        ],
        "award_type_ids": [
          "string"
        ],
        "logic_operator": "and"
      },
      "award_recipients": true,
      "by_location": true,
      "certificants": true,
      "certification_options": {
        "logic_operator": "and",
        "program_ids": [
          "string"
        ]
      },
      "committee_member_options": {
        "committee_ids": [
          "string"
        ],
        "committee_position_ids": [
          "string"
        ],
        "committee_type_ids": [
          "string"
        ],
        "logic_operator": "and"
      },
      "committee_members": true,
      "customer_type": "contact",
      "donor_options": {
        "donor_club_ids": [
          "string"
        ],
        "logic_operator": "and"
      },
      "donors": true,
      "enable_advanced_rules": true,
      "enable_age_restrictions": true,
      "enable_expression": true,
      "enable_organization_restrictions": true,
      "enable_status_restriction": true,
      "event_registration_options": {
        "event_ids": [
          "string"
        ],
        "logic_operator": "and",
        "registration_category_ids": [
          "string"
        ]
      },
      "event_registrations": true,
      "expression": "string",
      "expression_error_message": "string",
      "location": {
        "countries": [
          "string"
        ],
        "negate_logic": true
      },
      "logic_operator": "and",
      "member_options": {
        "chapter_member_options": {
          "chapter_ids": [
            "string"
          ],
          "chapter_type_ids": [
            "string"
          ],
          "logic_operator": "and"
        },
        "chapter_members": true,
        "member_package_ids": [
          "string"
        ],
        "member_status_reason_ids": [
          "string"
        ],
        "member_statuses": [
          "active"
        ],
        "member_type_ids": [
          "string"
        ],
        "section_member_options": {
          "logic_operator": "and",
          "section_ids": [
            "string"
          ],
          "section_type_ids": [
            "string"
          ]
        },
        "section_members": true
      },
      "members": true,
      "non_members": true,
      "organization_restrictions": {
        "contact_role_ids": [
          "string"
        ],
        "organization_type_ids": [
          "string"
        ]
      },
      "status_restrictions": [
        "string"
      ],
      "use_organization_for_eligibility": true
    },
    "enable_dues": true,
    "enable_eligibility": true,
    "hide_from_portal": true,
    "id": "string",
    "is_active": true,
    "name": "string",
    "portal_description": "string",
    "sys_bulk_load_at": "string",
    "sys_bulk_load_id": "string",
    "sys_bulk_load_pk": "string",
    "sys_bulk_load_record_no": 0.1,
    "sys_bulk_load_source_file": "string",
    "sys_calculated_field_error": "string",
    "sys_calculated_field_errors": [
      {
        "error": "string",
        "field": "string"
      }
    ],
    "sys_configuration_snapshot_id": "string",
    "sys_created_at": "2019-08-24T14:15:22Z",
    "sys_created_by_id": "string",
    "sys_deleted_by_id": "string",
    "sys_directive": "string",
    "sys_external_id": "string",
    "sys_has_files_in_s3": true,
    "sys_last_bulk_data_operation_id": "string",
    "sys_last_bulk_data_operation_sys_version": "string",
    "sys_last_modified_at": "2019-08-24T14:15:22Z",
    "sys_last_modified_by_id": "string",
    "sys_last_security_context": {},
    "sys_locked": true,
    "sys_snapshot_base_version": 0.1,
    "sys_version": 0.1,
    "type_id": "string"
  }'

Responses

The add on was saved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
allow_multipleboolean(Allow Multiple)

If true, a member can purchase more than one of this add on

custom_field_valuesArray of objects(Custom Field Values)
display_ordernumber, (float)(Display Order)

The display order of the add on

eligibility_criteriaobject(Eligibility Criteria)required

The criteria to use

enable_duesboolean(Enable Dues)

If set, this add on should cost money

enable_eligibilityboolean(Enable Eligibility)

If set, then only certain individual are eligible for this add on

hide_from_portalboolean(Hide From Portal)

Hide this add on from the portal

idstring(ID)^[\w|-]+$required

The unique, string identifier of this add on

is_activeboolean(Is Active)

Whether or not this add on is active

namestring(Name)required

The name of the add on

portal_descriptionstring(Portal Description)

Description of the add on to be displayed in the portal

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

type_idstring(Type)

The type of add on

Response
{ "allow_multiple": true, "custom_field_values": [ { … } ], "display_order": 0.1, "eligibility_criteria": { "advanced_rule_error_message": "string", "advanced_rules": {}, "age_restrictions": { … }, "award_options": { … }, "award_recipients": true, "by_location": true, "certificants": true, "certification_options": { … }, "committee_member_options": { … }, "committee_members": true, "customer_type": "contact", "donor_options": { … }, "donors": true, "enable_advanced_rules": true, "enable_age_restrictions": true, "enable_expression": true, "enable_organization_restrictions": true, "enable_status_restriction": true, "event_registration_options": { … }, "event_registrations": true, "expression": "string", "expression_error_message": "string", "location": { … }, "logic_operator": "and", "member_options": { … }, "members": true, "non_members": true, "organization_restrictions": { … }, "status_restrictions": [ … ], "use_organization_for_eligibility": true }, "enable_dues": true, "enable_eligibility": true, "hide_from_portal": true, "id": "string", "is_active": true, "name": "string", "portal_description": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "type_id": "string" }